Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 728222 - media-libs/ilmbase with sh -> dash: configure: 22771: test: xyes: unexpected operator
Summary: media-libs/ilmbase with sh -> dash: configure: 22771: test: xyes: unexpected ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: nonbash 724092
  Show dependency tree
 
Reported: 2020-06-14 12:26 UTC by Lars Wendler (Polynomial-C)
Modified: 2020-07-02 06:03 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,12.42 KB, text/plain)
2020-06-14 12:26 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2020-06-14 12:26:52 UTC
Created attachment 644628 [details]
build.log

checking for gcc optimization flags... -pipe
/var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0/configure: 22771: test: xyes: unexpected operator
/var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0/configure: 22790: test: xyes: unexpected operator
/var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0/configure: 22826: test: xyes: unexpected operator
/var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0/configure: 22861: test: xno: unexpected operator
/var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0/configure: 22873: test: xno: unexpected operator
/var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0/configure: 22919: Syntax error: "(" unexpected (expecting "fi")

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/ilmbase-2.3.0/work/ilmbase-2.3.0-abi_x86_64.amd64/config.log
 * ERROR: media-libs/ilmbase-2.3.0::gentoo failed (configure phase):
 *   econf failed
Comment 1 Rémi Cardona gentoo-dev 2020-06-27 23:51:18 UTC
Got a patch working that is roughly adapted from https://github.com/AcademySoftwareFoundation/openexr/commit/ba329cba788d4f320e6fc455919233222c27a0dd#diff-da9cc74bcbd515b62ac028123c37bed2

Any objections to me committing this?

Thanks
Comment 2 Larry the Git Cow gentoo-dev 2020-07-02 06:03:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=864218ba6be7a2e13717267705e87447475a1be1

commit 864218ba6be7a2e13717267705e87447475a1be1
Author:     Rémi Cardona <remi@gentoo.org>
AuthorDate: 2020-06-28 09:16:01 +0000
Commit:     Rémi Cardona <remi@gentoo.org>
CommitDate: 2020-07-02 06:02:00 +0000

    media-libs/ilmbase: fix bashisms in configure script
    
    Closes: https://bugs.gentoo.org/728222
    Package-Manager: Portage-2.3.102, Repoman-2.3.23
    Signed-off-by: Rémi Cardona <remi@gentoo.org>

 .../ilmbase/files/ilmbase-2.3.0-fix-bashisms.patch | 214 +++++++++++++++++++++
 media-libs/ilmbase/ilmbase-2.3.0.ebuild            |   7 +-
 2 files changed, 219 insertions(+), 2 deletions(-)